commit f4cbdd37a5723f23beeda8de5583d5cd0feb3814
Author: Klaas de Waal <klaas@kldo.nl>
Date:   Thu Jan 16 09:52:32 2025 +0100

    Update default satellite scan tuning parameters
    
    Frequency for Astra-2 changed to 10773 MHz (see commit e229de0).
    Add initial scan frequencies for the Turksat satellites.

commit aafad3cec3c26e3f7f6809e0d2ec52f3c8575664
Author: Klaas de Waal <klaas@kldo.nl>
Date:   Wed Jan 15 21:55:03 2025 +0100

    EIT fixup for ITV HD multiplexes on Astra-2
    
    Add EIT UK fixup processing for the multiplexes of the ITV HD
    channels on the Astra-2 satellite, part of Freesat.
    The fixup processing does modify the received EIT program guide
    data to a format that is suitable for use in MythTV.
    The EIT fixup is selected on a per-multiplex basis; the last
    reshuffle moved the ITV HD channels to multiplexes 2113 and 2114
    which were previously not selected for EIT fixup.
    
    (cherry picked from commit 4954da3092e721149394e29242d6b4a2ed871924)

commit ac34c663b23b3dddb6c0ce3f81a1cd93b801d2e7
Author: David Hampton <mythtv@love2code.net>
Date:   Thu Jan 2 16:40:51 2025 -0500

    Fix missing FREEBOX entry in backend web server.
    
    The USING_IPTV define needs to be PUBLIC so it will propagate to other
    targets.
    
    Fixes #1012
    
    (cherry picked from commit 1ade8170c5c4b0eb5eb7ae2a5d430aa6d846da59)

commit bb718b5b234eb8303081dfac9a7af6634ebc94f9
Author: David Hampton <mythtv@love2code.net>
Date:   Sun Aug 11 10:02:00 2024 -0400

    cmake: Make sure CONFIG_XXX flags are set properly.
    
    The cmake builds were properly building files that depend on these
    libraries (a la the old qt pro files) and were linking against these
    libraries, but they weren't setting the CONFIG_XXX variables for
    conditionally compiled code in other files.  Those variables are now
    set properly.  Setting the variables exposed a couple of other
    problems where libraries weren't linked (or MOC wasn't invoked).
    Those problems are fixed as well.
    
    (cherry picked from commit a69ab2b11352b29c11f18ea65b1ea36d2a6746ae)

commit e4def11bf8b6ca72f3414c50b191f5053fa6c42d
Author: Gyan Doshi <ffmpeg@gyani.pro>
Date:   Sat Oct 5 10:08:31 2024 +0530

    avcodec/libx265: unbreak build for X265_BUILD >= 213
    
    Earlier, x265 made an API change to support alpha and
    other multiple layer pictures. We added guards to accommodate
    that in 1f801dfdb5
    
    They have now reverted that API change in
    https://bitbucket.org/multicoreware/x265_git/commits/78e5b703b1
    
    Updated our wrapper guards to unbreak build again.
    
    (cherry picked from FFmpeg commit 099f88b8641dfc299f3896d17d9addc5b9ae7799)

commit 032a856f4bb4a13be05e40a92124bdae9c1c0727
Author: Gyan Doshi <ffmpeg@gyani.pro>
Date:   Sun Aug 11 12:51:50 2024 +0530

    lavc/libx265: unbreak build for X265_BUILD >= 210
    
    x265 added support for alpha starting with build 210.
    While doing so, x265_encoder_encode() changed its fifth arg to
    an array of pointers to x265_picture. This broke building lavc/libx265.c
    
    This patch simply unbreaks the build and maintains existing single-layer
    non-alpha encoding support.
    
    (cherry picked from FFmpeg commit 1f801dfdb5066aadf0ade9cb5e94d620f33eacdc)

commit 95d013c9f6228466107540585b7a1002481f7554
Author: janbar <jlbarriere68@gmail.com>
Date:   Mon Oct 28 20:34:17 2024 +0000

    Fix cmake compilation with dvdcss
    
    The commit fixes the following error, trying to link libmythdvdnav.
    
    /usr/bin/ld: ../../../../external/libmythdvdnav/libmythdvdnav-35.so.35.0: undefined reference to `dvdcss_open'
    /usr/bin/ld: ../../../../external/libmythdvdnav/libmythdvdnav-35.so.35.0: undefined reference to `dvdcss_close'
    /usr/bin/ld: ../../../../external/libmythdvdnav/libmythdvdnav-35.so.35.0: undefined reference to `dvdcss_open_stream'
    /usr/bin/ld: ../../../../external/libmythdvdnav/libmythdvdnav-35.so.35.0: undefined reference to `dvdcss_read'
    /usr/bin/ld: ../../../../external/libmythdvdnav/libmythdvdnav-35.so.35.0: undefined reference to `dvdcss_seek'
    collect2: error: ld returned 1 exit status
    
    (cherry picked from commit 07f76b1c7217b0a09a09b7e91e244aed7d4d257b)

commit 4633efa7712e25224d15e701a439a2b5eefd50dd
Author: David Hampton <mythtv@love2code.net>
Date:   Mon Dec 23 16:47:37 2024 -0500

    cmake: Allow RUNPREFIX to be specified at build time.
    
    The code previously always assigned CMAKE_INSTALL_PREFIX to RUNPREFIX,
    the location that the mythfrontend believes is its location.  Add a
    new option, MYTH_RUN_PREFIX, allowing this variable to be specified
    when the build tree is created.  This is analogous to the configure
    --runprefix option.
    
    Refs: #980
    (cherry picked from commit 31ea30ccf7ef529c5ec359b189e176ec9b8ec989)

commit 67275ff27ffbeadf378deebf3d617b476627461f
Author: David Hampton <mythtv@love2code.net>
Date:   Mon Dec 23 12:17:57 2024 -0500

    cmake: Fix lame version check when using -Werror=format-security.
    
    Refs: #981
    (cherry picked from commit 683d1a4e14c226fbe90577c8da888e4eb95f08ae)

commit e4e8354471371a3fb66b21238e6d3beb14ed2543
Author: Scott Theisen <scott.the.elm@gmail.com>
Date:   Sun Jun 2 01:59:02 2024 -0400

    libavformat/mpegts: rename avpriv_mpegts_parse_*()
    
    This reduces the changes relative to upstream FFmpeg in mpegts.*
    and makes it clearer where in FFmpeg our version is used.
    
    The impetus for this change is that the GitHub Actions Fedora CMake
    builder is now building libavdevice/iec61883.c which includes and
    uses FFmpeg’s mpegts.h, causing it to not compile.
    
    (cherry picked from commit 8b0d53ae4d15417f706f2164aea135515fab0e1a)

commit c37643755961ab221dd17541f67409bd561e904a
Author: Bill Meek <bmeek@mythtv.org>
Date:   Sat Nov 2 12:52:23 2024 -0500

    API: comment out deprecation warnings, for now
    
    The methods changed in this commit are in use by Leanfront working with
    v29 through master. Add comment that these should go away and comment
    out the LOG messages.

commit 5a58c7613c361b36a34ac28b73f52e06cc51dfad
Author: Bill Meek <bmeek@mythtv.org>
Date:   Sat Nov 2 12:32:45 2024 -0500

    mythfilldatabase: print reason for foo message
    
    Trivial change, but the issue comes up on the mailing list and forum
    enough that explaining "No channels are configured" is the result of
    not having any XMLTVIDs.

commit c63d023aa8e9326724fc6fd36be3c973f705aa59
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Thu Jul 4 20:26:18 2024 -0400

    web app rebuild

commit 2e8904c90385fc524acd12db6980a4e2d1a5344a
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Thu Jul 4 20:23:42 2024 -0400

    Add gitattributes settings for compiled  angular files
    
    Angular compiles source code  into js and css files. These are not
    normal text files and should be treated as binary files.

commit d2e4584c36266973352dc97943b078b01293bd8c
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Thu Jul 4 20:21:20 2024 -0400

    web-app: Fix bug where sometimes updates are disabled in web only mode
    
    In web only mode, inconsistent results can be obtained for scheduler
    status. Take account that scheduler will always be disabled in web only
    mode.

commit 0e0e1fdce798039af14cb8d518ddec9e123e0e36
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Thu Jul 4 17:57:04 2024 -0400

    web app: fix bug with overrides
    
    When creating an override from the upcoming screen, the values presented
    were the defauls instead of the values in the rule being overridden.

commit 061af3b0aa9d44714cc9492b93453cc038806585
Author: David Engel <dengel@mythtv.org>
Date:   Sun Jun 30 12:56:32 2024 -0500

    Use close_range() to close large numbers of files when available.
    
    close_range() is a newish, Linux and FreeBSD system call to close a
    large range of file descriptors as is commonly done by the child
    process after a fork.  Linux now supports extremely large limits and
    the traditional, brute force way of closing file descriptors can incur
    a several minute delay in those situations.  This change checks for
    and uses close_range() when it is available.
    
    (cherry picked from commit 8dbc67e783c0c0443a5711b4b595d2ca8c2f96cc)

commit 9b54f1a672588b12b0d2e1b2e08e095309b7eb40
Author: Klaas de Waal <klaas@kldo.nl>
Date:   Wed May 15 12:07:08 2024 +0200

    Use FFmpeg MPEG-TS demuxer when MythTV demuxer fails
    
    The FFmpeg demuxer may fail when there is a change in the streams halfway playback.This can happen
    when changing to a commercial and back or when a recording extends through multiple programs
    The MythTV demuxer can handle these changes. However, some streams are not correctly handled by the MythTV demuxer.
    The code is written such that there is an automatic fallback to the original FFmpeg MPEG-TS demuxer when
    the MythTV demuxer fails.
    In the refactoring of the code for MythTV release v31, in commit 76bca2a, the fallback code is still present
    but is, due to a minor coding mistake, never executed. This is now fixed.
    Tested as follows:
    BBC Three and BBC Four in the UK are off air until 7:00pm when they start broadcasting.
    Recording start at 60 seconds before the start of the first program.
    This then creates a recording that cannot be demuxed by the MythTV demuxer but which
    can be played back correct whne the FFmpeg demuxer is used.
    
    (cherry picked from commit 720057c9b05ba58fb05b452e4e7b6ea6b2f6d2fb)

commit 3431efdb39f06dfe806b296f133571008bcdc9ed
Author: Klaas de Waal <klaas@kldo.nl>
Date:   Sat May 11 23:16:17 2024 +0200

    Handle HTTP parameter type std::chrono::seconds
    
    The timeout/duration value in MythFrontendService::SendNotification
    is expressed as a number of seconds. This number used to be passed as
    an integer but this has been changed to std::chrono::seconds in 2021.
    In the processing of HTTP SendNotification messages the
    std::chrono::seconds parameter type is not recognized, leading to
    an uninitialized value used as timeout value.
    This is fixed by checking for QMetaType "std::chrono::string" and
    copying the parameter accordingly.
    There is now also a warning given if a QMetaType is passed
    that is not recognized and that cannot be handled.
    
    (cherry picked from commit bfd71da9f4b411446b2a702f5eaa8717d7b4bf4e)

commit d6398e090fce4df92acb7831470134846e5ab38e
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Mon Mar 25 13:23:05 2024 -0400

    web app rebuild

commit ee6bbe981378fb708d1f4ecfb2bf9b27b27d6688
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Mon Mar 25 13:17:36 2024 -0400

    web app fix bug in video sources setup with grabber configuration
    
    Use correct default directory if MYTHCONFDIR is not supplied
    
    Fixes #889
    
    (cherry picked from commit 4a5aca849ddff994a455f6610c7895c603ea663f)

commit 7d560c19493d1adacc861e9853780065b1387261
Author: Klaas de Waal <klaas@kldo.nl>
Date:   Sun Mar 17 19:42:29 2024 +0100

    Fix detection of libglslang in configure
    
    Detection of libglslang by the configure script fails on Fedora 39
    for MythTV version 34. Detection in master works good, so this is
    the backport of that code into the configure of MythTV version 34.

commit 5590d0d5ebc8a37a1b9a3468c5705052491cb8ca
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Mon Mar 11 11:03:47 2024 -0400

    web app rebuild

commit 80b4c05a853a97c52b785cecdfae8974c9f342fb
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Mon Mar 11 11:00:19 2024 -0400

    web app: Fix bug with updating manual record rules
    
    Manual record rules were showing the wrong channel when opened for
    update.
    
    (cherry picked from commit d153db16c7f510bfba8485683da0c0b5db605896)

commit 95fb10412c7ffc5ad8c75435dabf6e5997588983
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Sun Mar 10 12:14:26 2024 -0400

    Fix Daylight savings bug in service API
    
    Scheduling a recording for 8PM - 9PM in New York time zone on the
    day before spring forward failed with an incorrect error message
    "Duration Invalid". Fixed by applying the correct time zone.
    
    (cherry picked from commit 7e5e536249838cdd4884b53a20569471de3ec3d1)

commit 9da0ddcc433fe5481a64d737bf95286d41ffd47a
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Tue Mar 5 17:52:41 2024 -0500

    web-app rebuild
    
    (cherry picked from commit fe554d2f1f1105b100b1b934a057ae24d8540792)

commit b5ecac3b9741df1853eb15d9bc71ff12586d9ea0
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Tue Mar 5 17:50:09 2024 -0500

    web-app setup: Fix jobqueue times showing wrong values
    
    Fixes #880
    
    (cherry picked from commit bd97b320bf997f0cda9cbd91fe7364af92c0cc7c)

commit bd42eefdcecb8f554dc6147b28ba7051b58887be
Author: Nick Morrott <knowledgejunkie@gmail.com>
Date:   Sat Mar 2 18:43:00 2024 +0000

    Translations: Update mythfrontend translation binary files

commit 8503454c6a655f7f5f2372409c0479a126399309
Author: DFDario <ddafre@gmail.com>
Date:   Sat Mar 2 19:38:24 2024 +0100

    Translations: Update webapp translation source file (Italian) (#871)
    
    * Updated Italian translation
    
    While checking the Italian translation status I found three new sentences from my last update from yesterday so I released a new one
    
    * Add files via upload
    
    (cherry picked from commit 27ecfd2410f407ffa31fea2bd6a14ebab72fabda)

commit 2854dad4e113d0a47de3cacc4918e801007b3c1a
Author: Piotr Oniszczuk <piotr.oniszczuk@gmail.com>
Date:   Sat Mar 2 19:36:05 2024 +0100

    Translations: Update mythfrontend translation source file (Polish) (#868)
    
    (cherry picked from commit c10fe06f8aee679a23cdc00d828e247163ceea36)

commit a88dd47ba4f9f2727fd3f164fce28fdc86824bec
Author: Nick Morrott <knowledgejunkie@gmail.com>
Date:   Tue Feb 20 11:13:02 2024 +0000

    Translations: Update mythfrontend translation binary files

commit 155b2246a66006409728622a953168c1e8ce8a22
Author: DFDario <ddafre@gmail.com>
Date:   Tue Feb 20 12:04:35 2024 +0100

    Translations: Update mythfrontend translation source file (Italian) (#869)
    
    (cherry picked from commit fe6a8129f601990f4124ad5377d0c9f8d9559194)

commit 07733f232b5ad3d6947aacc68db2afb4c0ddad09
Author: Nick Morrott <knowledgejunkie@gmail.com>
Date:   Tue Feb 20 11:01:08 2024 +0000

    Translations: Update mythfrontend translation binary files

commit d69e601301219359a1a38a849aa88c35d23f589f
Author: Nick Morrott <knowledgejunkie@gmail.com>
Date:   Tue Feb 20 11:00:43 2024 +0000

    Translations: Refresh mythfrontend translation source file (Polish)

commit 9cb1462812d384f4e668fd1f4041f55a7ae19a1b
Author: David Hampton <mythtv@love2code.net>
Date:   Sun Feb 18 12:27:40 2024 -0500

    Build the transcode program with cmake.
    
    (cherry picked from commit 9a8b2960c62673b37ba695083bb66fcc612d2e80)

commit 88464234e8189f11a688a2f9b710ec41d6e0fd0e
Author: Nick Morrott <knowledgejunkie@gmail.com>
Date:   Fri Feb 16 18:17:13 2024 +0000

    Translations: Update mythfrontend translation binary files
    
    (cherry picked from commit b54a0d86ee382e43284368a9b03344205186c732)

commit 35819aaac09d3b85156d2d989ac0f7996ffaa386
Author: Piotr Oniszczuk <piotr.oniszczuk@gmail.com>
Date:   Fri Feb 16 19:09:14 2024 +0100

    Translations: Update mythfrontend translation source file (Polish) (#866)
    
    Closes #866
    
    (cherry picked from commit 97f9e5d829e14ac5df2c7120be1daaed66117c82)

commit b6aabcbbf3f2fcc1bc5758f4e8943018c878b2fc
Author: Klaas de Waal <klaas@kldo.nl>
Date:   Wed Feb 14 19:02:01 2024 +0100

    Fix segfault in EIT with empty video source
    
    The backend segfaults when EIT is enabled and it is started
    with a video source without channels.
    Fixed by adding an additional test on the number of channels present.
    Note that it can be considered a bug that the EIT scan is started
    when there is not a single channel present.
    
    (cherry picked from commit 36d76494c1222311d49c9fa84312c69ef2526c45)

commit 5c9cf67a497994f0d04764c6d7aec662e24c19c0
Author: Klaas de Waal <klaas@kldo.nl>
Date:   Mon Feb 12 23:22:14 2024 +0100

    IPTV m3u channel import with USA channel numbers
    
    Allow IPTV m3u channel importing from HDHomeRun tuners to insert
    channels with decimals, such as "2.1" or "23.11"
    The validation of HDHomeRun channel numbers is changed to allow
    any non-empty string as channel number instead of only an integer number.
    
    Refs #860
    
    (cherry picked from commit 62ad21bb8c0d4fe24e30c9d82b9bff95a30c45a7)

commit f3f012aa3f884adbe7edea38703d8b2c721db6ab
Author: DFDario <ddafre@gmail.com>
Date:   Fri Feb 9 21:31:57 2024 +0100

    Translations: Update mythbrowser translation source files (Italian) (#858)
    
    While checking the Italian translation status I found three new sentences from my last update from yesterday so I released a new one
    
    (cherry picked from commit 6e8283a57b5b7bf4d2474f929217c450dd81b6bb)
